Subject: Re: [PATCH] log: omit tag prefix for color decoration

From: Junio C Hamano <[email-masked]>
Date: Mon, 20 Feb 2023 13:36:54 -0800

Andy Koppe <[email-masked]> writes:

> Omit the "tag: " prefix for tags in commit decorations when coloring is
> enabled. The prefix isn't necessary as such when tags are distinguished
> by color already, and omitting it saves a bit of space and visual noise.

As somebody whose color perception is weaker than other people, I am
torn about this line of changes.  Accessibiilty folks often warn us
against designing UI that differentiates two things only by painting
them in two different colors "to be inclusive", and the above goes
directly against their guidelines.

The only saving grace in this case is that I expect that tags are
named very differently from topics in well managed projects, and
users can tell withotu "tag:" prefix even in the output without
colors, and that si why I said "I am torn", not I am not outright
100% negative, but still I doubt that the upside of shortening 4
display spaces is worth going directly against inclusion advocates.

So...